%define major	0.5
%define libname %mklibname %{name} _%{major}
%define devname %mklibname %{name} -d

%define svn	0
%define rel	1

%if %{svn}
%define release %mkrel -c %{svn} %{rel}
%else
%define release %mkrel %{rel}
%endif

Name:		codec2
Version:	0.5.1
Release:	%{release}
Summary:	An open source speech codec for 2400 bit/s and below
Group:		Communications/Radio
License:	LGPLv2
Url:		http://www.rowetel.com/blog/?page_id=452

%if %{svn}
Source0:	%{name}-%{svn}.tar.xz
%else
Source0:	http://files.freedv.org/%{name}/%{name}-%{version}.tar.xz
%endif
# Create new snapshot from svn using $ cd SOURCES; ./mk-tar
Source1:	mk-tar

BuildRequires:	cmake
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(speexdsp)

%description
Codec2 is an open source low bit rate speech codec designed for communications
quality speech between 1200 and 3200 bit/s. Applications include low bandwidth
HF/VHF digital radio and VOIP trunking. Codec 2 operating at 2400 bit/s can
send 26 phone calls using the bandwidth required for one 64 kbit/s uncompressed
phone call. It fills a gap in open source, free-as-in-speech voice codecs
beneath 5000 bit/s.

#----------------------------
%package -n %{libname}
Summary:	Dynamic library files for linking with %{name}

%description -n %{libname}
Dynamic library files for linking with %{name}

#----------------------------
%package -n %{devname}
Summary:	Development files for building packages using %{name}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for building packages using %{name}

%prep
%if %{svn}
%setup -q -n %{name}
%else
%setup -q
%endif

%build
%cmake

%install
%make_install -C build

# pkgconfig file
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cat > %{buildroot}%{_libdir}/pkgconfig/%{name}.pc<<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/%{name}

Name: %{name}
Description: A codec2 codec library
Requires:
Version: %{version}
Libs: -L\${libdir} -l%{name}
Libs.private: -lm
Cflags: -I\${includedir}

EOF

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r raw wav script %{buildroot}%{_datadir}/%{name}/


%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files
%doc COPYING README README_fdmdv.txt
%{_bindir}/*
%{_datadir}/%{name}


%changelog
* Wed May 11 2016 barjac <barjac> 0.5.1-1.mga6
+ Revision: 1012903
- new version
- fixed source0

* Sat Apr 09 2016 barjac <barjac> 0.5-3.mga6
+ Revision: 999953
- add codec2.pc to allow detection via pkgconfig

* Sat Feb 20 2016 umeabot <umeabot> 0.5-2.mga6
+ Revision: 972421
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 barjac <barjac> 0.5-1.mga6
+ Revision: 897719
- new version 0.5

* Tue Oct 20 2015 tv <tv> 0.4-2.mga6
+ Revision: 893127
- BR pkgconfig(speex)

* Mon Aug 24 2015 barjac <barjac> 0.4-1.mga6
+ Revision: 869168
- new version 0.4
- new major

* Wed Oct 15 2014 umeabot <umeabot> 0-0.1825.4.mga5
+ Revision: 739594
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0-0.1825.3.mga5
+ Revision: 693654
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0-0.1825.2.mga5
+ Revision: 678463
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 barjac <barjac> 0-0.1825.1.mga5
+ Revision: 672024
- new package codec2

